%define module_name paramiko

Summary:       SSH2 protocol for Python
Name:          python-%{module_name}
Version:       1.10.1
Release:       %mkrel 1
Url:           https://github.com/paramiko/paramiko/
License:       LGPLv2+
Group:         Development/Python
Source:        http://pypi.python.org/packages/source/p/%{module_name}/%{module_name}-%{version}.tar.xz

Requires:      python-pycrypto
Obsoletes:     %{module_name}
Provides:      %{module_name}
BuildRequires: pkgconfig(python)
BuildRequires: python-pycrypto
BuildRequires: python-setuptools
BuildArch:     noarch

%description
Paramiko is a module for python that implements the SSH2 protocol for secure
(encrypted and authenticated) connections to remote machines.  the module works
by taking a socket-like object that you pass in, negotiating with the remote
server, authenticating (using a password or a given private key), and opening
flow-controled "channels" to the server, which are returned as socket-like
objects. you are responsible for verifying that the server's host key is the
one you expected to see, and you have control over which kinds of encryption
or hashing you prefer (if you care), but all of the heavy lifting is done by
the paramiko module.

%prep
%setup -q -n %{module_name}-%{version}
%{__chmod} a-x demos/*
%{__sed} -i -e '/^#!/,1d' demos/*

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build --root %{buildroot}


%check
%{__python} ./test.py

%files
%doc docs/ PKG-INFO README demos/
%{python_sitelib}/*


%changelog
* Sun Aug 11 2013 billybot <billybot>
-update

